[paludis-sekrit] [Paludis] #785: installed-unpackaged package not meeting requirements

Paludis trac at pioto.org
Fri Aug 14 20:48:30 UTC 2009


#785: installed-unpackaged package not meeting requirements
----------------------------------+-----------------------------------------
    Reporter:  cjm                |       Owner:        
        Type:  defect             |      Status:  closed
    Priority:  Sometime           |   Milestone:        
   Component:  clients/importare  |     Version:  0.38.2
  Resolution:  worksforme         |    Keywords:        
   Blockedby:                     |    Blocking:        
Distribution:  Gentoo             |  
----------------------------------+-----------------------------------------
Changes (by ciaranm):

  * status:  new => closed
  * resolution:  => worksforme


Comment:

 The N shows that it's new to ::installed. It's slightly less obvious than
 the meaning you're expecting, but the meaning you're expecting stops
 making sense when you consider multiple destination installs.

 What you're doing isn't supposed to work. You also need to mask the
 provider of the virtual. Paludis will always select an installable package
 to install if possible, even if it's a downgrade. It will only fall back
 to a transient installed package if there's no other option.

-- 
Ticket URL: <http://trac.pioto.org/paludis/ticket/785#comment:1>
Paludis <http://paludis.pioto.org/>
Paludis, the Other Package Mangler


More information about the paludis-dev mailing list